Subject: Re: Kernel oops on setting sky2 interfaces down

From: Rene Mayrhofer <[email-masked]>
Date: Wed, 05 Aug 2009 00:55:04 +0200

Mike McCormack wrote:
> 2009/8/4 Rene Mayrhofer <[email-masked]>:
> 
>> Does anybody have an idea on what might be wrong in sky2_down?
> 
> btw. for 2.6.30, I found I could copy sky2.c from the netdev git into
> my 2.6.30 tree if I added the following line at the end of
> sky2_xmit_frame() :
> 
>         dev->trans_start = jiffies;     /* prevent tx timeout */

This seems to be already included in the current netdev git.

Nonetheless, the current unmodified version from netdev git solves the
oops in sky2. I have not diffed my old vs. this version, but whoever is
interested in which change fixed the oops, it should be somewhere in
commit 0a1449c in our Gibraltar kernel git repository.

Thanks a lot for that hint!
Rene